Bug 434160 - Error: pdftoppm produced an unreadable file
Error: pdftoppm produced an unreadable file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: keyjnote (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Allisson Azevedo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 09:58 EST by Russell Harrison
Modified: 2008-12-25 20:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-25 20:52:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch file from the launchpad bug (743 bytes, text/x-patch)
2008-02-22 09:59 EST, Russell Harrison
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 148070 None None None Never

  None (edit)
Description Russell Harrison 2008-02-22 09:58:03 EST
Description of problem:
Every time I start KeyJnote it produces the following error and only shows the
KeyJnote logo for every slide.

Error: pdftoppm produced an unreadable file

Version-Release number of selected component (if applicable):

$ rpm -q keyjnote
keyjnote-0.10.1-2.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Open a PDF with keyjnote.py
  
Actual results:
Error: pdftoppm produced an unreadable file

Expected results:
Presentation opens properly

Additional info:
The patch on the launchpad bug 148070 seems to resolve the problem.  Also
version 10.2 of KeyJnote (released 2008-02-03) works properly as well.

https://bugs.launchpad.net/ubuntu/+source/keyjnote/+bug/148070
http://launchpadlibrarian.net/9909806/keyjnote.patch
Comment 1 Russell Harrison 2008-02-22 09:59:17 EST
Created attachment 295637 [details]
Patch file from the launchpad bug

I'm attaching the patch from launchpad here as well
Comment 2 Bug Zapper 2008-11-26 04:55:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mary Ellen Foster 2008-11-26 05:51:00 EST
keyjnote upstream seems dormant following a "cease and desist" letter from Apple about the name -- http://keyj.s2000.ws/?m=200806. So I don't know if this is fixable at all, and the package should possibly be removed entirely.
Comment 4 Allisson Azevedo 2008-12-25 20:52:39 EST
I close this bug now, keyjnote is dead upstream.

Note You need to log in before you can comment on or make changes to this bug.